/*
 * $Id: xwin.h,v 1.4 2004/05/24 22:39:58 shaper Exp $
 */

#ifndef __XWIN_H__
#define __XWIN_H__

#include <X11/X.h>
#include <X11/xpm.h>

/* defines */
#define WINDOW_WIDTH (64)
#define WINDOW_HEIGHT (64)
#define DISPLAY_BUFFER (5)
#define DISPLAY_WIDTH (64 - DISPLAY_BUFFER)
#define DISPLAY_HEIGHT (64 - DISPLAY_BUFFER)

#define FONT_PATTERN "-*-utopia-bold-r-*-*-10-*-*-*-*-*-*-*"

#define FRAME_COLOR "black"

/* variables */
Display* display;
GC NormalGC, OffscreenGC;
Window iconwin, win;
Pixmap offpixmap;
char* displayFontName;
Font displayFont;

/* function prototypes */
void xw_initXwindow (int argc, char* argv[]);
void xw_openXwindow (int argc, char* argv[], char* bgcolor, char* fgcolor);
int xw_flushWindowExposure (Window w);
unsigned long xw_getColor (char* colorName);
void xw_setColor (Display* display, GC gc, unsigned long color);
void xw_getStringDimensions (Display* display, GC gc, char* str,
                             int* width, int* height);

#endif
